Subject: Re: [Sigtran] IG-03 Section 3.4 issue

From: "TOLGA ASVEREN" <[email-masked]>
Date: Fri, 7 Mar 2003 12:04:36 +0200

Brian,

TOLGA,

TOLGA ASVEREN wrote:
(Fri, 07 Mar 2003 11:38:06)
>
> Brian,
>
>
> TOLGA,
>
> TOLGA ASVEREN wrote:
> (Fri, 07 Mar 2003 10:58:28)
> >
> > Samuel,
> >
> >
> >
>
> >                     "Samuel Dur D.
>
> >                     Jeyaseelan"                To:     [email-masked]
>
> >                     <[email-masked]       cc:
>
> >                     catel.com>                 Subject:     Re:
[Sigtran]
> IG-03 Section 3.4 issue
> >                     Sent by:
>
> >                     [email-masked]
>
> >                     rg
>
> >
>
> >
>
> >                     07.03.2003 08:34
>
> >
>
> >
>
> >
> >
> >
> >
> >
> > Tolga,
> >
> > I can mention 2 cases.
> >
> > case 1) All NIFs are partially failed,this is very very rare case
> >         But still sending ASP Inact Ack seems not to be an inefficient
> >            method.Moreover basic aim is ASP should not be sending
> messages
> >            to SS7 nodes via partially failed SGPs, this is achieved by
> >            sending ASP Inact Ack.
> > [TOLGA]SGP can still route between ASPs. With ASPIA-ACK you are
> preventing
> > this, if NIF failure is global.
>
> What makes you think that messages can be routed betwen ASPs (I think you
> mean between AS) when the NIF fails?  The NIF is access to MTP3 at the
> SGP: MTP3 is responsible for routing between MTP-Users regardless of
which
> domain they are in.  Failure of the NIF implies failure to route between
> AS as well.  Therefore, APSIA Ack is appropriate and DUNA is not.
> [TOLGA]Yes, what I meant was routing between AS. I don't think it is
> appropriate to mandate where routing between AS is done. This is also
> implementation dependent. Even for the case where traffic from SS7 to AS
is
> routed, M3UA-SGP might perform some routing functionality when AS and SG
do
> have different PCs. IMO, what you tell is far beyond the boundary of
> implementation dependent area.

M3UA has no routing functionality.  If an implementation can route
it is because it is routing through either NIF or MTP3.  As the SGP
can talk to neither, DUNA is inappropriate.  DUNA is reserved for use
by NIF in conjunction with MTP3.  M3UA does not generate DUNAs all on
its own.  Read the sections in the RFC regarding SSNM.
[TOLGA]Please don't tell me to look to RFC for this. That SGPs can route
between AS was agreed after very long time has passed after SSNM related
text was written (I think it is even written nowhere explicitly that SGP
may support that kind of routing). For me how and where to implement this
is a implementation decision.

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

---

From: Ken Morneault <[email-masked]>
Date: Fri, 07 Mar 2003 09:18:10 -0500

Since no one seems to have a problem with deleting Section 3.4,
I propose we delete this section.  For those implementing the
protocol, there is now plenty of discussion in the email archive
to make an informed decision on how to handle NIF isolation.

Regards,

Ken